Bug 32040 - upgrade 6.1 to 7.0 problem
Summary: upgrade 6.1 to 7.0 problem
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-17 00:27 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-21 19:45:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-03-17 00:27:35 UTC
Default install required more disk space than was avaivable. Install 
halted with error meesage after using back arrow.

Anaconda dump:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 412, in 
nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/installpath_gui.py", 
line 104, in getNext
    self.todo.fstab.turnOffSwap()
  File "fstab.py", line 360, in turnOffSwap
    isys.swapoff(file)
  File "isys.py", line 139, in swapoff
    return _isys.swapoff (path)
SystemError: (12, 'Cannot allocate memory')

Local variables in innermost frame:
path: /tmp/swap/hdb9

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>

Comment 1 Michael Fulbright 2001-03-21 19:45:26 UTC
This issue has been fixed internally.

If you reboot and try again with larger space allocations you should avoid the
need to go backwards in the install process and trigger this issue.


Note You need to log in before you can comment on or make changes to this bug.